<template>
 <div class="m-portlet__head-tools">
    <ul class="m-portlet__nav">
        <li class="m-portlet__nav-item">
            <div class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-right m-dropdown--align-push" m-dropdown-toggle="hover" aria-expanded="true">
                <a href="#" class="m-portlet__nav-link btn btn-lg btn-secondary  m-btn m-btn--icon m-btn--icon-only m-btn--pill  m-dropdown__toggle">
                    <i class="la la-ellipsis-h m--font-brand"></i>
                </a>
                <div class="m-dropdown__wrapper">
                    <span class="m-dropdown__arrow m-dropdown__arrow--right m-dropdown__arrow--adjust"></span>
                    <div class="m-dropdown__inner">
                        <div class="m-dropdown__body">
                            <div class="m-dropdown__content">
                               <component v-bind:is="component"></component>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </li>
    </ul>
</div>

</template>
<script>
import HeadToolsComponent from '../item_inquire/HeadTools.vue';
import HeadToolsDefault   from '../table_component/HeadToolsDefault.vue';
export default {
  name: 'head-tools',
  components: {
     'inquire-head-tools':HeadToolsComponent,
     'head-tools-default':HeadToolsDefault
  },
  data() {
    return {
      component: 'head-tools-default'
    }
  },
  created() {
       this.$root.$on('getHeadTools', (component_name) => {
         this.component = component_name;
        this.$root.$off('getHeadTools');
      })
  },
}
</script>
